Name:          qmapshack
Version:       1.17.1
Release:       1mamba
Summary:       Application to plan outdoor trips and visualize and archive all the GPS recordings
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/Maproom/qmapshack/wiki
Source:        https://github.com/Maproom/qmapshack.git/V_%{version}/qmapshack-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5Positioning-devel
BuildRequires: libQt5WebChannel-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libbzip2-devel
BuildRequires: libgcc
BuildRequires: libgdal-devel
BuildRequires: libglvnd-devel
BuildRequires: libjpeg-devel
BuildRequires: libproj-devel
BuildRequires: libquazip-devel
BuildRequires: libroutino-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qttools-devel
## AUTOBUILDREQ-END
BuildRequires: libgdal-devel >= 0:3.8.3-1mamba
BuildRequires: libproj-devel >= 0:9.1.1-1mamba
BuildRequires: cmake
BuildRequires: routino
BuildRequires: libquazip-devel >= 1.3
Requires:      routino
Provides:      qlandkartegt
Obsoletes:     qlandkartegt <= 1.15.2

%description
Use QMapShack to plan your next outdoor trip or to visualize and archive all the GPS recordings of your past exciting adventures.
QMapShack is the next generation of the famous QLandkarte GT application. And of course it's even better and easier to use.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/qmapshack
%{_bindir}/qmaptool
%{_bindir}/qmt_map2jnx
%{_bindir}/qmt_rgb2pct
%{_datadir}/applications/qmapshack.desktop
%{_datadir}/applications/qmaptool.desktop
%{_mandir}/man1/qmapshack.1*
%{_mandir}/man1/qmaptool.1*
%{_mandir}/man1/qmt_map2jnx.1*
%{_mandir}/man1/qmt_rgb2pct.1*
%{_datadir}/icons/hicolor/*/apps/QMap*.png
%{_datadir}/pixmaps/QMapShack.png
%{_datadir}/pixmaps/QMapTool.png
%{_datadir}/doc/HTML/QMSHelp.qch
%{_datadir}/doc/HTML/QMSHelp.qhc
%{_datadir}/doc/HTML/QMTHelp.qch
%{_datadir}/doc/HTML/QMTHelp.qhc
%dir %{_datadir}/qmapshack
%dir %{_datadir}/qmapshack/translations
%{_datadir}/qmapshack/translations/qmapshack_ca.qm
%{_datadir}/qmapshack/translations/qmapshack_cs.qm
%{_datadir}/qmapshack/translations/qmapshack_de.qm
%{_datadir}/qmapshack/translations/qmapshack_es.qm
%{_datadir}/qmapshack/translations/qmapshack_fr.qm
%{_datadir}/qmapshack/translations/qmapshack_it.qm
%{_datadir}/qmapshack/translations/qmapshack_nl.qm
%{_datadir}/qmapshack/translations/qmapshack_ru.qm
%dir %{_datadir}/qmaptool
%dir %{_datadir}/qmaptool/translations
%{_datadir}/qmaptool/translations/qmaptool_de.qm
%{_datadir}/qmaptool/translations/qmaptool_es.qm
%{_datadir}/qmaptool/translations/qmaptool_it.qm
%{_datadir}/qmaptool/translations/qmaptool_ru.qm
%dir %{_datadir}/qmt_rgb2pct
%dir %{_datadir}/qmt_rgb2pct/translations
%{_datadir}/qmt_rgb2pct/translations/qmt_rgb2pct_de.qm
%doc LICENSE

%changelog
* Wed Dec 13 2023 Automatic Build System <autodist@mambasoft.it> 1.17.1-1mamba
- automatic version update by autodist

* Sat Jul 22 2023 Automatic Build System <autodist@mambasoft.it> 1.17.0-1mamba
- automatic version update by autodist

* Sat Feb 11 2023 Sdk Build System <sdk@mambasoft.it> 1.16.1-5mamba
- rebuilt by autoport with build requirements: libgdal-devel>=0:3.6.2-1mamba

* Mon Dec 05 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16.1-4mamba
- rebuilt by autoport with build requirements: libproj-devel>=0:9.1.1-1mamba

* Mon May 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16.1-3mamba
- rebuilt by autoport with build requirements: libgdal-devel>=3.5.0-1mamba

* Fri Apr 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16.1-2mamba
- rebuilt with libquazip 1.3

* Sat Dec 04 2021 Automatic Build System <autodist@mambasoft.it> 1.16.1-1mamba
- automatic version update by autodist

* Thu Jun 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16.0-1mamba
- update to 1.16.0

* Fri Jan 15 2021 Automatic Build System <autodist@mambasoft.it> 1.15.2-1mamba
- automatic version update by autodist

* Tue Sep 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15.0-1mamba
- package created using the webbuild interface
